Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Buffering_Strategy Class Reference

TAO_Notify_Buffering_Strategy. More...

`#include <Notify_Buffering_Strategy.h>`

Collaboration diagram for TAO_Notify_Buffering_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Buffering_Strategy (TAO_Notify_Signal_Property_Long *const queue_length)
virtual | ~TAO_Notify_Buffering_Strategy ()
virtual void | execute (ACE_Message_Queue< ACE_SYNCH > *msg_queue, TAO_Notify_Command *mb ACE_ENV_ARG_DECL, ACE_Time_Value *tv)
| Execute this strategy. More...
void | max_queue_length (CORBA::Long max_queue_length)
| Set the max. queue length. More...
void | max_events_per_consumer (CORBA::Long max_events_per_consumer)
| Set the max. events per consumer. More...
void | order_policy (CORBA::Short order_policy)
| Set the order policy. More...
void | discard_policy (CORBA::Short discard_policy)
| Set the discard policy. More...
void | blocking_timeout (TimeBase::TimeT timeout)
| Set the blocking timeout. More...
## Protected Attributes
TAO_Notify_Signal_Property_Long *const | queue_length_
| The overall queue length. More...
CORBA::Long | max_queue_length_
| Discarding policies kicks in when the <queue_length_> exceeds <max_queue_length_>. More...
CORBA::Long | max_events_per_consumer_
| Discarding policies kicks in when the <queue_length_> exceeds <max_events_per_consumer_>. More...
CORBA::Short | order_policy_
| Order of events in internal buffers. More...
CORBA::Short | discard_policy_
| Policy to discard when buffers are full. More...
CORBA::Boolean | use_max_queue_
| Should we use the max queue or max events. More...
TimeBase::TimeT | blocking_timeout_
| The blocking timeout will be used in place of discarding if use_blocking_timeout_ is set. This is a TAO specific extension. More...
CORBA::Boolean | use_blocking_timeout_

## Detailed Description

TAO_Notify_Buffering_Strategy.

This buffering strategy buffers and discards events according to the policies specified in the CosNotification.idl

## Constructor & Destructor Documentation

TAO_Notify_Buffering_Strategy::TAO_Notify_Buffering_Strategy | ( | TAO_Notify_Signal_Property_Long *const | queue_length | ) |

TAO_Notify_Buffering_Strategy::~TAO_Notify_Buffering_Strategy | ( |  | ) | `[virtual]`

## Member Function Documentation

void TAO_Notify_Buffering_Strategy::blocking_timeout | ( | TimeBase::TimeT | timeout | ) |

| Set the blocking timeout.

void TAO_Notify_Buffering_Strategy::discard_policy | ( | CORBA::Short | discard_policy | ) |

| Set the discard policy.

void TAO_Notify_Buffering_Strategy::execute | ( | ACE_Message_Queue< ACE_SYNCH > * | msg_queue,
|  | TAO_Notify_Command *mb | ACE_ENV_ARG_DECL_NOT_USED,
|  | ACE_Time_Value * | tv
| ) | `[virtual]`

| Execute this strategy.

void TAO_Notify_Buffering_Strategy::max_events_per_consumer | ( | CORBA::Long | max_events_per_consumer | ) |

| Set the max. events per consumer.

void TAO_Notify_Buffering_Strategy::max_queue_length | ( | CORBA::Long | max_queue_length | ) |

| Set the max. queue length.

void TAO_Notify_Buffering_Strategy::order_policy | ( | CORBA::Short | order_policy | ) |

| Set the order policy.

## Member Data Documentation

TimeBase::TimeT TAO_Notify_Buffering_Strategy::blocking_timeout_`[protected]`

| The blocking timeout will be used in place of discarding if use_blocking_timeout_ is set. This is a TAO specific extension.

CORBA::Short TAO_Notify_Buffering_Strategy::discard_policy_`[protected]`

| Policy to discard when buffers are full.

CORBA::Long TAO_Notify_Buffering_Strategy::max_events_per_consumer_`[protected]`

| Discarding policies kicks in when the <queue_length_> exceeds <max_events_per_consumer_>.

CORBA::Long TAO_Notify_Buffering_Strategy::max_queue_length_`[protected]`

| Discarding policies kicks in when the <queue_length_> exceeds <max_queue_length_>.

CORBA::Short TAO_Notify_Buffering_Strategy::order_policy_`[protected]`

| Order of events in internal buffers.

TAO_Notify_Signal_Property_Long* const TAO_Notify_Buffering_Strategy::queue_length_`[protected]`

| The overall queue length.

CORBA::Boolean TAO_Notify_Buffering_Strategy::use_blocking_timeout_`[protected]`

CORBA::Boolean TAO_Notify_Buffering_Strategy::use_max_queue_`[protected]`

| Should we use the max queue or max events.

The documentation for this class was generated from the following files:

- Notify_Buffering_Strategy.h
- Notify_Buffering_Strategy.cpp